package com.mortals.xhx.base.framework.listener;

import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.connection.MessageListener;
import org.springframework.stereotype.Component;

/**
 * @author: zxfei
 * @date: 2022/6/22 16:40
 * @description:
 **/
@Slf4j
@Component
public class CustomerKeyExpirationListener implements MessageListener {
    @Override
    public void onMessage(Message message, byte[] bytes) {
        String key = message.toString();
        log.info("监听到key:" + key + "过期");
    }
}